Skip to main content
POST
/
api
/
v1
/
campaigns
/
callback
cURL
curl --request POST \
  --url https://api.capedigital.co.ke/commercial/api/v1/campaigns/callback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "status": "<string>",
  "node": "<string>",
  "reference": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "status": "<string>",
  "node": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "reference": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Body

Campaign Serializer

start_date
string<date>
required

Campaign start date

end_date
string<date>
required

Campaign end date

status
string
required

Lead status

Required string length: 1 - 50
node
string
required

Workflow Node

Required string length: 1 - 50
reference
string | null

Generated reference string

Maximum string length: 30

Response

200 - application/json

Campaign Serializer

id
string<uuid>
required
read-only
start_date
string<date>
required

Campaign start date

end_date
string<date>
required

Campaign end date

status
string
required

Lead status

Maximum string length: 50
node
string
required

Workflow Node

Maximum string length: 50
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
reference
string | null

Generated reference string

Maximum string length: 30